package konto;

public class Konto {
	private int numer;
	private String wlasciciel;
	private int saldo;
	
	public Konto(int numer, String wlasciciel, int saldo) {
		this.numer = numer;
		this.wlasciciel = wlasciciel;
		this.saldo = saldo;
	}

	public int getNumer() {
		return numer;
	}

	public String getWlasciciel() {
		return wlasciciel;
	}

	public int getSaldo() {
		return saldo;
	}

	@Override
	public String toString() {
		return "Konto nr " + this.numer + ", saldo: " + this.saldo + ", wł.: " + this.wlasciciel;
	}

	public void wplata(int kwota) {
		if(kwota <= 0) {
			throw new IllegalArgumentException("Niedodatnia kwota w metodzie wplata");
		}
		this.saldo += kwota;
	}

	public void wyplata(int kwota) throws BrakSrodkow {
		if(kwota <= 0) {
			throw new IllegalArgumentException("Niedodatnia kwota w metodzie wyplata");
		}
		if(kwota > saldo) {
			throw new BrakSrodkow("Brak środków na koncie nr " + numer);
		}
		this.saldo -= kwota;
	}
	
}
